# norootforbuild

%define _prefix	/usr

Name:				libofa
Version:			0.9.3
Release:			1.2
Summary:			Open Fingerprint Architecture Library
Source:			http://www.musicip.com/dns/files/libofa-%{version}.tar.gz
Patch1:			libofa-fix-proto-order.patch
URL:				http://www.musicdns.org/
Group:			System/Libraries
License:			Dual licensed (APL/GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc-c++ make glibc-devel libstdc++ libstdc++-devel
BuildRequires:	fftw3 fftw3-devel expat curl-devel expat-devel
BuildRequires:	autoconf automake libtool

%description
The Open Fingerprint normalizes, extracts frequencies, and creates an array
representing the frequency data in an audio file.

%package devel
Summary:			Open Fingerprint Architecture Library
Group:			Development/Libraries/Other
Requires:		%{name} = %{version}-%{release}

%description devel
The Open Fingerprint normalizes, extracts frequencies, and creates an array
representing the frequency data in an audio file.

This package contains the development environment.

%if %suse_version >= 930
%debug_package
%endif
%prep
%setup -q
%patch1

[ -e ./configure ] || autogen.sh

autoreconf -fiv

%configure

%build
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__make -C examples clean

%if %suse_version < 930
%__strip "%{buildroot}%{_libdir}"/lib*.so.*
%endif

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING README
%doc examples
%{_libdir}/libofa.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ofa1
%{_libdir}/libofa.so
%{_libdir}/libofa.la
%{_libdir}/libofa.a
%{_libdir}/pkgconfig/libofa.pc

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

